## CamelVeeSummary CamelVeeSummary |

## Functions

CamelFolderSummary * | camel_vee_summary_new ()
CamelVeeMessageInfo * | camel_vee_summary_add ()
void | camel_vee_summary_remove ()
void | camel_vee_summary_replace_flags ()
GHashTable * | camel_vee_summary_get_uids_for_subfolder ()

## Types and Values

struct | CamelVeeMessageInfo

## Object Hierarchy

        GObject
        ╰── CamelFolderSummary
            ╰── CamelVeeSummary

## Description

## Functions

### camel_vee_summary_new ()

    CamelFolderSummary *
    camel_vee_summary_new (struct _CamelFolder *parent);

This will create a new CamelVeeSummary object and read in the summary data from disk, if it exists.

#### Parameters

parent | Folder its attached to. |

#### Returns

A new CamelVeeSummary object.

### camel_vee_summary_add ()

    CamelVeeMessageInfo *
    camel_vee_summary_add (CamelVeeSummary *s,
                           struct _CamelVeeMessageInfoData *mi_data);

### camel_vee_summary_remove ()

    void
    camel_vee_summary_remove (CamelVeeSummary *summary,
                              const gchar *vuid,
                              CamelFolder *subfolder);

FIXME Document me!

Since: 3.6

### camel_vee_summary_replace_flags ()

    void
    camel_vee_summary_replace_flags (CamelVeeSummary *summary,
                                     const gchar *uid);

Makes sure `summary` flags on `uid` corresponds to those in the subfolder of vee-folder, and updates internal counts on `summary` as well.

#### Parameters

summary | a CamelVeeSummary |
uid | a message UID to update flags for |

Since: 3.6

### camel_vee_summary_get_uids_for_subfolder ()

    GHashTable *
    camel_vee_summary_get_uids_for_subfolder
                                   (CamelVeeSummary *summary,
                                    CamelFolder *subfolder);

FIXME Document me!

#### Returns

.

[element-type utf8 utf8][transfer container]

Since: 3.6

## Types and Values

### struct CamelVeeMessageInfo

    struct CamelVeeMessageInfo {
    	CamelMessageInfoBase info;
    	CamelFolderSummary *orig_summary;
    };